Bug 245241 - chcat has else lines that don't end with :s
Summary: chcat has else lines that don't end with :s
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-21 20:40 UTC by Bruno Wolff III
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 2.0.16-8.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-27 15:34:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bruno Wolff III 2007-06-21 20:40:27 UTC
Description of problem:
Lines 80 and 158 of chcat are else lines that don't end in :s. If you run chcat
with the -L option these typos cause chcat to stop with a syntax error instead
of listing the available categories.

Version-Release number of selected component (if applicable):
2.0.16-5.fc7

How reproducible:
100%

Steps to Reproduce:
1. chcat -L
2.
3.
  
Actual results:
[root@cerberus bruno]# chcat -L
  File "/usr/bin/chcat", line 80
    else
       ^
SyntaxError: invalid syntax


Expected results:
[root@cerberus bruno]# chcat -L
s0                             
s0-s0:c0.c1023                 SystemLow-SystemHigh
s0:c0.c1023                    SystemHigh

Additional info:

Comment 1 Daniel Walsh 2007-06-22 13:36:18 UTC
Fixed in /policycoreutils-2.0.16-8.fc7

Comment 2 Bruno Wolff III 2007-10-27 15:34:14 UTC
This got fixed a while ago and I don't see any reason that the ticket should
still be open (certainly not on my account).


Note You need to log in before you can comment on or make changes to this bug.